package buildcraft.compat;

import java.util.List;

import com.google.common.collect.Lists;

import net.minecraft.item.ItemStack;

import net.minecraftforge.common.capabilities.Capability;

import buildcraft.api.core.CapabilitiesHelper;

import buildcraft.lib.tile.item.ItemHandlerSimple;

import buildcraft.compat.network.IGuiCreator;

public class CompatUtils {

    public static final Capability<IGuiCreator> CAP_GUI_CREATOR =
        CapabilitiesHelper.registerCapability(IGuiCreator.class);

    private CompatUtils() {}

    public static List<ItemStack> compactInventory(ItemHandlerSimple inventory) {
        List<ItemStack> stacks = Lists.newArrayList();

        for (int slot = 0; slot < inventory.getSlots(); slot++) {
            ItemStack stack = inventory.getStackInSlot(slot);
            if (stack.func_190926_b()) {
                continue;
            }

            boolean handled = false;
            for (ItemStack existing : stacks) {
                if (existing.func_77969_a(stack)) {
                    existing.func_190917_f(stack.func_190916_E());
                    handled = true;
                    break;
                }
            }
            if (!handled) {
                stacks.add(stack.func_77946_l());
            }
        }

        return stacks;
    }
}
